Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260063 - Stabilization of GNOME-2.24
Summary: Stabilization of GNOME-2.24
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
: gtk2.14-stable (view as bug list)
Depends on: 196852 227679 CVE-2008-2374 239847 241476 242812 247825 248125 252350 gtk2.14-stable, gtk2.14-stable 254447 255479 255843 255848 255851 256016 256163 256718 257337 257809 258040 259138 260827 262324 262325 262387 264987
Blocks: gnome2.24 255251 258344 262744
  Show dependency tree
 
Reported: 2009-02-23 20:55 UTC by Gilles Dartiguelongue
Modified: 2010-06-26 11:55 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bump.list (bump.list,14.34 KB, text/plain)
2009-02-23 22:26 UTC, Gilles Dartiguelongue
Details
bump.list (bump.list,14.34 KB, text/plain)
2009-03-01 23:41 UTC, Gilles Dartiguelongue
Details
build.list (build.list,14.45 KB, text/plain)
2009-03-04 22:01 UTC, Gilles Dartiguelongue
Details
bump.list (bump.list,13.61 KB, text/plain)
2009-03-07 12:41 UTC, Gilles Dartiguelongue
Details
split python keywords for 2.24 (split-python-2.24.keywords,609 bytes, text/plain)
2009-03-11 01:31 UTC, Daniel Gryniewicz (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2009-02-23 20:55:44 UTC
This bug will be the stabilization bug for GNOME-2.24. Filing it before the
stabilization list, so that we can track the true blocker bugs for
stabilization purposes, and have other maintainers be able to ask here
beforehand packages to be included together with the rest for possible
compatibility reasons.

Please look into (the non exhaustive) bug list depending on this one which should be fixed before proceeding to stable if possible.

Also (note to self mostly) don't forget that due do API/ABI breakage, some packages really need to get stabilized together.
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-02-23 22:26:35 UTC
Created attachment 182951 [details]
bump.list

first tentative list, please poke me for anything I would have forgotten.
Comment 2 Dustin Polke 2009-02-25 15:15:03 UTC
> first tentative list, please poke me for anything I would have forgotten.

I need the following packages as well on my amd64 installation:

>=x11-libs/pixman-0.12.0
~dev-python/libgnome-python-2.22.3
~dev-python/libbonobo-python-2.22.3
~dev-python/gconf-python-2.22.3
~dev-python/libgnomecanvas-python-2.22.3
~dev-python/gnome-python-base-2.22.3
~dev-python/gnome-vfs-python-2.22.3
Comment 3 Gilles Dartiguelongue gentoo-dev 2009-02-25 15:20:49 UTC
You missed the lines talking about the stabilization of split python bindings it seems. Wrt to pixman, I supposed it's pulled by cairo, I was told cairo-1.8 was good to go, will check specific pixman status. Thanks for reporting.
Comment 4 Gilles Dartiguelongue gentoo-dev 2009-03-01 23:41:12 UTC
Created attachment 183628 [details]
bump.list

Updated list.
Comment 5 Gilles Dartiguelongue gentoo-dev 2009-03-01 23:45:49 UTC
enough with the wait & fix, it's time for some action.

Hi arches, please find attached to this bug the list of packages and their respective target keywords for gnome 2.24 stabilization. Please do go through the list of bugs depending on this one, they need to be completed as well.

If you find any problem with this list, please come and see us on #gentoo-desktop or send us a mail.

Thanks in advance.
Comment 6 Peter Volkov (RETIRED) gentoo-dev 2009-03-02 13:57:21 UTC
mips done.

(there is no stable mips ;)
Comment 7 Mart Raudsepp gentoo-dev 2009-03-03 18:20:48 UTC
*** Bug 253934 has been marked as a duplicate of this bug. ***
Comment 8 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-03 21:11:55 UTC
FTR, that should be =media-video/totem-2.24.3

No -r1, which is masked anyway.
Comment 9 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-03 21:13:48 UTC
And media-libs/swfdec-0.8.4 should be in the list.
Comment 10 Brent Baude (RETIRED) gentoo-dev 2009-03-03 21:23:15 UTC
Any chance we could get a new list to work with (ala comment #4) that includes comments 8 & 9 AND gstreamer?  Would be mucho appreciated.
Comment 11 Gilles Dartiguelongue gentoo-dev 2009-03-03 23:57:56 UTC
I'll make sure to do that by tomorrow. About gstreamer, I can do that as well but I really need a decision on what's in and what's out.
Comment 12 Mart Raudsepp gentoo-dev 2009-03-04 00:23:03 UTC
I'd suggest to leave out the gstreamer stuff if no individual apps actually need the newer versions and all we'd have to do is just downgrade the dep in the meta package.
That's to not have arches needing to handle an even bigger set of things at once here.
gstreamer herd stuff I'm hoping to get back on track during March, with hopefully looking into gst stabilizations later this week.
Comment 13 Brent Baude (RETIRED) gentoo-dev 2009-03-04 13:53:18 UTC
Yeah, I only meant that the new master list would include required gstreamer packages.  As for across the board stabilization of gstreamer, I would assume another bug would be file as has been suggested.  So what I looking for is a more complete list from the earlier comment.  Is that fair?  
Comment 14 Gilles Dartiguelongue gentoo-dev 2009-03-04 17:40:49 UTC
I've used the following command to verify what was requiring 0.10.21

find -name "*.ebuild" -exec egrep -H "gst.*0\.10\.21" {} \+ |cut -f1 -d: |awk -F / '{print $2"/"$4}' |sed "s/.ebuild//g" |sort -u

besides banshee and gnome meta, it seems we can go ahead with just 0.10.20 so I'll adjust meta and post the updated list later today.
Comment 15 Gilles Dartiguelongue gentoo-dev 2009-03-04 22:01:26 UTC
Created attachment 183938 [details]
build.list

Ok here it is. I've downgraded gstreamer-0.10.21 requirement per previous comment.
Enjoy.
Comment 16 Brent Baude (RETIRED) gentoo-dev 2009-03-05 22:10:47 UTC
ppc64 done; please add us back in if we missed something. Now onto ppc32.
Comment 17 Gilles Dartiguelongue gentoo-dev 2009-03-06 00:27:40 UTC
For the record, I asked rangerpb to test and keyword evolution-2.24.5, evolution-data-server-2.24.5 and gtkhtml-3.24.5 since it provides at least two important fixes over 2.24.4. Not crashing on print and working imap flag sync (which resulted in read mail being unread when consulted from another client or another place). I'll provide an updated list to match this asap.
Comment 18 Brent Baude (RETIRED) gentoo-dev 2009-03-06 16:07:02 UTC
ppc(32) done now too; please readd if I missed something
Comment 19 Gilles Dartiguelongue gentoo-dev 2009-03-07 12:41:09 UTC
Created attachment 184223 [details]
bump.list

Here is an updated list from cvs up 1 hour ago.
Comment 20 CFuga 2009-03-08 00:32:03 UTC
Right now, all libcanberra versions in portage depends on >=media-sound/pulseaudio-0.9.11 if the user activates the pulse USE flag. But pulseaudio-0.9.11 requieres baselayout-2.0 and openrc in order to stabilize it. There are some ways of solving the problem:

 - lowering the libcanberra's pulseaudio requirement to the current stable version (0.9.9)
 - deactivating the pulse USE flag in libcanberra; it still should be able to play sounds using the other available backends (alsa, gstreamer, oss)
 - proving a new pulseaudio-0.9.11 ebuild which doesn't depend on openrc/baselayout-2.0, and make it stable
 - waiting for openrc/baselayout-2.0 to stabilize, in order to stabilize GNOME 2.24
Comment 21 Gilles Dartiguelongue gentoo-dev 2009-03-08 00:53:39 UTC
I don't see a problem in use.masking pulseaudio, solution 1 is out of the question it's a requirement from libcanberra's configure, 3 is afaik not wanted by pa maintainer, and 4 is out of the question too, openrc/baselayout2 stabilization is taking a long time and we don't need to delay gnome 2.24 any longer that it already has been.
Comment 22 Olivier Crete (RETIRED) gentoo-dev 2009-03-08 01:00:14 UTC
The only baselayout 2 stuff in the pa ebuild is parsing the pa config file to create the rc deps.. We can pretty easily make a baselayout-1 version by doing what the current ebuild is doing, since openrc/baselayout-2 is taking centuries..
Comment 23 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-11 01:31:48 UTC
Created attachment 184644 [details]
split python keywords for 2.24

These are the 2.24 split python keywords.  Anyone keywording the gnome-2.24.1 meta needs these too.
Comment 24 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-11 01:32:42 UTC
For libcanberra, I've removed the pulseaudio flag and dep from 0.11, and added a 0.11-r1 that's ~arch with the flag.  As soon as pulse goes stable, that can go stable too.
Comment 25 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-11 02:43:00 UTC
amd64 done.
Comment 26 Pacho Ramos gentoo-dev 2009-03-11 19:43:41 UTC
Would be important get bug 262182 fixed before getting evolution-2.24 stabilized as it will cause users to get evolution crashing at startup. I attach the patch used in fedora currently and that seems to work ok for me

(sorry for amd64 users for sending this a bit late, but I discovered this just after updating)
Comment 27 Markus Meier gentoo-dev 2009-03-12 22:04:04 UTC
gedit and vinagre are failing tests here on x86:

make[3]: Nothing to be done for `check-am'.
make[3]: Leaving directory `/var/tmp/portage/net-misc/vinagre-2.24.2-r1/work/vinagre-2.24.2/src'
make[2]: Leaving directory `/var/tmp/portage/net-misc/vinagre-2.24.2-r1/work/vinagre-2.24.2/src'
make[1]: Leaving directory `/var/tmp/portage/net-misc/vinagre-2.24.2-r1/work/vinagre-2.24.2/src'
Making check in help
make[1]: Entering directory `/var/tmp/portage/net-misc/vinagre-2.24.2-r1/work/vinagre-2.24.2/help'
xmllint --noout --noent --path C:./C --xinclude --postvalid ./C/vinagre.xml
xmllint --noout --noent --path de:./de --xinclude --postvalid ./de/vinagre.xml
./de/vinagre.xml:256: element para: validity error : Element shortcut is not declared in para list of possible children
Document ./de/vinagre.xml does not validate
make[1]: *** [check-doc-docs] Error 3
make[1]: Leaving directory `/var/tmp/portage/net-misc/vinagre-2.24.2-r1/work/vinagre-2.24.2/help'
make: *** [check-recursive] Error 1
 * 
 * ERROR: net-misc/vinagre-2.24.2-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line 2865:  Called _eapi0_src_test
 *               ebuild.sh, line  616:  Called die
 * The specific snippet of code:
 *   			hasq test $FEATURES && die "Make check failed. See above for details."
 *  The die message:
 *   Make check failed. See above for details.

make[2]: Nothing to be done for `check-am'.
make[2]: Leaving directory `/var/tmp/portage/app-editors/gedit-2.24.3/work/gedit-2.24.3/help'
xmllint --noout --noent --path C:./C --xinclude --postvalid ./C/gedit.xml
xmllint --noout --noent --path de:./de --xinclude --postvalid ./de/gedit.xml
./de/gedit.xml:446: element menuchoice: validity error : Element menuchoice content does not follow the DTD, expecting (shortcut? , (guibutton | guiicon | guilabel | guimenu | guimenuitem | guisubmenu | interface)+), got (CDATA guimenu guimenuitem)
Document ./de/gedit.xml does not validate
make[1]: *** [check-doc-docs] Error 3
make[1]: Leaving directory `/var/tmp/portage/app-editors/gedit-2.24.3/work/gedit-2.24.3/help'
make: *** [check-recursive] Error 1
 * 
 * ERROR: app-editors/gedit-2.24.3 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line 3094:  Called _eapi0_src_test
 *               ebuild.sh, line  616:  Called die
 * The specific snippet of code:
 *                      hasq test $FEATURES && die "Make check failed. See above for details."
 *  The die message:
 *   Make check failed. See above for details.
Comment 28 Markus Meier gentoo-dev 2009-03-15 22:36:03 UTC
x86 stable
Comment 29 Raúl Porcel (RETIRED) gentoo-dev 2009-03-18 16:36:58 UTC
alpha/ia64 stable, i think
Comment 30 Jakub Klawiter 2009-03-20 19:39:07 UTC
i've tried to upgrade gnome to 2.24 (marked as stable for x86) and it fails on x11-libs/pixman which cannot be compiled with sse2 USE flag with gcc older than 4.2.4. And gcc-4.2.4 is not available in x86.

Shouldn't it be fixed?
Comment 31 Andrey Vihrov 2009-03-20 19:44:15 UTC
But the ebuild already tells you to do 'echo "x11-libs/pixman -sse2" >> /etc/portage/package.use' if you are using earlier GCC version.
Comment 32 Jakub Klawiter 2009-03-20 20:41:00 UTC
first, i did add -sse2 to package.use of course and i'm merging gnome, the question is if it is ok to have unstable dependency (this way gcc-4.2 is something like dependency isn't it?) in stable package?

second merging pixman fails with something which looks like big problem (ERROR: setup blah blah...) not just INFO: please type echo "blahblah" >> package.use

last but not least, it's not a problem for me and probably 99% of users, i just wanted to tell you that something like this happens and maybe it should be resolved in more user friendly way.
Comment 33 Andrey Vihrov 2009-03-20 21:09:31 UTC
(In reply to comment #32)

1. It does not depend on gcc-4.2.
2. It fails with the error and not the warning because the emerge process cannot be continued.

And it seems pretty user-friendly to me :-)
Comment 34 Gilles Dartiguelongue gentoo-dev 2009-03-21 00:20:28 UTC
This bug is not for chatting about your own bugs, open a new bug please (although it seems familiar to me so search through bugzilla should help).
Comment 35 Rémi Cardona gentoo-dev 2009-03-27 23:15:45 UTC
Hi arches, please don't stabilize libxklavier 3.8.

We will open a separate stablization bug once xorg-server 1.5.3 and friends go stable.

Thanks
Comment 36 Friedrich Oslage (RETIRED) gentoo-dev 2009-04-12 21:28:42 UTC
sparc stable
Comment 37 Raúl Porcel (RETIRED) gentoo-dev 2009-04-14 11:53:01 UTC
s390 should be done
Comment 38 Raúl Porcel (RETIRED) gentoo-dev 2009-04-28 18:16:31 UTC
arm/m68k should be done, sh is waiting for totem
Comment 39 Raúl Porcel (RETIRED) gentoo-dev 2009-04-28 18:26:29 UTC
sh waits for bug 196852
Comment 40 Gilles Dartiguelongue gentoo-dev 2009-10-28 22:13:27 UTC
This bug is obsoleted by bug #281427, see you there.